package me.lensfrex.manager.utils;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.nio.charset.Charset;

/*
 这些Utils是我从我之前的项目里边搬过来的
 https://github.com/lensferno/dogename/tree/main/Dogename/src/main/java/me/lensferno/dogename/utils
 写得很渣，别去看
 */

public class IOUtil {
    public static String inputStreamToString(InputStream inputStream, Charset charSet) {
        byte[] bytes = readDataFromInputStream(inputStream, 5);
        if (bytes != null) {
            return new String(bytes, charSet);
        } else {
            return null;
        }
    }

    public static byte[] readDataFromInputStream(InputStream inputStream, int byteAllocation) {
        try {
            ByteArrayOutputStream byteArrayInputStream = new ByteArrayOutputStream();
            byte[] bytes = new byte[1024 * byteAllocation];

            for (int length; (length = inputStream.read(bytes)) != -1; ) {
                byteArrayInputStream.write(bytes, 0, length);
            }

            byteArrayInputStream.flush();

            inputStream.close();
            byteArrayInputStream.close();

            return byteArrayInputStream.toByteArray();
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
